org.richfaces.resource.external

## Class ExternalStaticResourceFactoryImpl

- java.lang.Object
- - org.richfaces.resource.external.ExternalStaticResourceFactoryImpl

- All Implemented Interfaces:
    ExternalStaticResourceFactory, Initializable

      public class ExternalStaticResourceFactoryImpl
      extends Object
      implements ExternalStaticResourceFactory, Initializable

  Creates resources pointing outside of JSF resource handler.
  Author:
    Lukas Fryc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalStaticResourceFactoryImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExternalResource` | `createResource(javax.faces.context.FacesContext facesContext, ResourceKey resourceKey)` Creates external resource
    `Set<ResourceKey>` | `getResourcesForLocation(String resourceLocation)` Returns all resource keys which points to the given external resource location
    `void` | `init()`
    `void` | `release()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalStaticResourceFactoryImpl

          public ExternalStaticResourceFactoryImpl()

  - ### Method Detail

    - #### init

          public void init()

      Specified by:
        `init` in interface `Initializable`

    - #### createResource

          public ExternalResource createResource(javax.faces.context.FacesContext facesContext,
                                        ResourceKey resourceKey)

      Description copied from interface: `ExternalStaticResourceFactory`
      Creates external resource
      Specified by:
        `createResource` in interface `ExternalStaticResourceFactory`
      Parameters:
        `facesContext` - `FacesContext`
        `resourceKey` - the resource key
      Returns:
        external resource for given resource key

    - #### getResourcesForLocation

          public Set<ResourceKey> getResourcesForLocation(String resourceLocation)

      Description copied from interface: `ExternalStaticResourceFactory`
      Returns all resource keys which points to the given external resource location
      Specified by:
        `getResourcesForLocation` in interface `ExternalStaticResourceFactory`
      Parameters:
        `resourceLocation` - the external resource location
      Returns:
        all resource keys which points to the given external resource location

    - #### release

          public void release()

      Specified by:
        `release` in interface `Initializable`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.